package com.ruoyi.pay.util;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.RandomUtil;

import java.util.Date;

public class ArchiveIdUtil {
    /**
     * 说明：生成图纸流程卡归档ID字符串
     *
     * @return  返回字符串
     */
    public static String getLCKArchiveId() {
        // 返回图纸流程卡归档ID
        return "LCK" + DateUtil.format(new Date(), "yyMMdd") + RandomUtil.randomNumbers(4);
    }

    /**
     * 说明：生成包活派工单归档ID字符串
     *
     * @return  返回字符串
     */
    public static String getBHArchiveId() {
        // 返回图纸流程卡归档ID
        return "BH" + DateUtil.format(new Date(), "yyMMdd") + RandomUtil.randomNumbers(4);
    }
}
